complexType "ds:SignatureType"

Namespace: | http://www.w3.org/2000/09/xmldsig#
Content: | complex, 1 attribute, 4 elements
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
Id | = | ID
| >
Content: | ds:SignedInfo, ds:SignatureValue, ds:KeyInfo?, ds:Object*
</...>

Content Model Elements (4):

  ds:KeyInfo, ds:Object, ds:SignatureValue, ds:SignedInfo

All Direct / Indirect Based Elements (1):

  ds:Signature

Known Usage Locations

- As direct type of elements (1):
  ds:Signature

XML Source (see within schema source)

<complexType name="SignatureType"> <sequence> <element ref="ds:SignedInfo"/> <element ref="ds:SignatureValue"/> <element minOccurs="0" ref="ds:KeyInfo"/> <element maxOccurs="unbounded" minOccurs="0" ref="ds:Object"/> </sequence> <attribute name="Id" type="ID" use="optional"/> </complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
Id

  Type: | ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <attribute name="Id" type="ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
ds:KeyInfo

  Type: | ds:KeyInfoType, mixed content

  XML Source (see within schema source)

  <element minOccurs="0" ref="ds:KeyInfo"/>

ds:Object

  Type: | ds:ObjectType, mixed content

  XML Source (see within schema source)

  <element maxOccurs="unbounded" minOccurs="0" ref="ds:Object"/>

ds:SignatureValue

  Type: | ds:SignatureValueType, simple content

  Simple Content

  base64Binary

  XML Source (see within schema source)

  <element ref="ds:SignatureValue"/>

ds:SignedInfo

  Type: | ds:SignedInfoType, complex content

  XML Source (see within schema source)

  <element ref="ds:SignedInfo"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.